PUT /api/v3/bill/exporthold

Sets or clears the export hold flag on one or more bills

BillActionExportHoldV3 Permissions: ExportHold (Manage)
Use this endpoint to hold or release bills from accounting export. Bills with export hold set are excluded from bill export operations regardless of approval status.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

BillActionExportHold
Property Description Type
exportHold When true, places an export hold on the bills (prevents AP export). When false, removes the hold. Required (defined) boolean
ids List of bill IDs to place or remove an export hold on. Must contain at least one ID. Cannot be Empty Required (defined) integer[]
Example Request Body application/json
{  "exportHold": false,  "ids": [
    1
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected The total number of items that were targeted by the bulk operation Required (defined) integer (int32)
updated The number of items that were actually modified (excludes items that already matched the target state) Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}